summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David O'Shaughnessy2018-03-18 04:33:56 +0100
committer Willy Sudiarto Raharjo2018-03-24 00:50:30 +0100
commitf8eaf43e162bcada706e8c94051e72900cb1d692 (patch)
treea39646d2cc24164323e2923b2b2e1aa41f2e0d4a
parent9e1f680bf5ca99ffe4dd0c0777655a718088cfff (diff)
downloadslackbuilds-f8eaf43e162bcada706e8c94051e72900cb1d692.tar.gz
network/riot-web: Added (Riot for Desktop).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/riot-web/README17
-rw-r--r--network/riot-web/doinst.sh9
-rw-r--r--network/riot-web/riot-web.SlackBuild76
-rw-r--r--network/riot-web/riot-web.info10
-rw-r--r--network/riot-web/slack-desc19
5 files changed, 131 insertions, 0 deletions
diff --git a/network/riot-web/README b/network/riot-web/README
new file mode 100644
index 0000000000..0072eb0d31
--- /dev/null
+++ b/network/riot-web/README
@@ -0,0 +1,17 @@
+riot-web (Riot for Desktop)
+
+Riot gathers all your conversations and app integrations into one single app.
+
+Built around group chatrooms, Riot lets you share messages, images, videos
+and files - interact with your tools and access all your different communities
+under one roof.
+
+One single identity and place for all your teams: no need to switch accounts,
+work and chat with people from different organisations in public or private rooms:
+from professional projects to school trips, Riot will become the center of all
+your discussions!
+
+Now with end-to-end encryption! You can view and verify your various devices in
+the user settings page.
+
+This is a repackaging of the official binary .deb file
diff --git a/network/riot-web/doinst.sh b/network/riot-web/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/riot-web/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/riot-web/riot-web.SlackBuild b/network/riot-web/riot-web.SlackBuild
new file mode 100644
index 0000000000..c19ef2e8f7
--- /dev/null
+++ b/network/riot-web/riot-web.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for riot-web
+
+# Copyright 2018 David O'Shaughnessy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=riot-web
+VERSION=${VERSION:-0.13.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Upstream has binary support for i386 and x86_64.
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+elif [ "$ARCH" = "i586" ]; then
+ DEBARCH="i386"
+else
+ echo "Sorry, the riot-web binary is currently available for i386/x86_64 only."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_$DEBARCH.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# create soft link for launcher
+mkdir -p $PKG/usr/bin
+ln -sf /opt/Riot/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/share/doc/$PRGNAM/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/riot-web/riot-web.info b/network/riot-web/riot-web.info
new file mode 100644
index 0000000000..f6fde22566
--- /dev/null
+++ b/network/riot-web/riot-web.info
@@ -0,0 +1,10 @@
+PRGNAM="riot-web"
+VERSION="0.13.5"
+HOMEPAGE="https://riot.im/"
+DOWNLOAD="https://riot.im/packages/debian/pool/main/r/riot-web/riot-web_0.13.5_i386.deb"
+MD5SUM="f0da0137075a4f0081143ef66b2ed0e2"
+DOWNLOAD_x86_64="https://riot.im/packages/debian/pool/main/r/riot-web/riot-web_0.13.5_amd64.deb"
+MD5SUM_x86_64="02321fab22f7815e358d8ebf1c1a4dd2"
+REQUIRES=""
+MAINTAINER="David O'Shaughnessy"
+EMAIL="dev@osh.id.au"
diff --git a/network/riot-web/slack-desc b/network/riot-web/slack-desc
new file mode 100644
index 0000000000..d9fb2d3cd0
--- /dev/null
+++ b/network/riot-web/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+riot-web: riot-web (Riot for Desktop)
+riot-web:
+riot-web: Built around group chatrooms, Riot lets you share messages, images,
+riot-web: videos and files - interact with your tools and access all your
+riot-web: different communities under one roof. One single identity and place
+riot-web: for all your teams: no need to switch accounts, work and chat with
+riot-web: people from different organisations in public or private rooms:
+riot-web: from professional projects to school trips, Riot will become the
+riot-web: center of all your discussions!
+riot-web:
+riot-web: This is a repackaging of the official binary .deb file from riot.im